> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain Access Token

> Obtain an access token used to authenticate API requests using Client Credentials provided by Aspect Systems.

_The token has an expiration of 30 days._



## OpenAPI

````yaml /endpoints/openapi.json post /v1/oauth/token
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/oauth/token:
    post:
      tags:
        - Authentication
      summary: Obtain Access Token
      description: >-
        Obtain an access token used to authenticate API requests using Client
        Credentials provided by Aspect Systems.


        _The token has an expiration of 30 days._
      operationId: passport.token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                grant_type:
                  type: string
                  enum:
                    - client_credentials
                client_id:
                  type: string
                client_secret:
                  type: string
              required:
                - grant_type
                - client_id
                - client_secret
      responses:
        '200':
          description: '`AccessToken`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessToken'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
      security: []
components:
  schemas:
    AccessToken:
      type: object
      properties:
        token_type:
          type: string
          enum:
            - Bearer
        expires_in:
          type: integer
          description: When the access token expires, in seconds
          examples:
            - 2592000
        access_token:
          type: string
          examples:
            - eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...
      required:
        - token_type
        - expires_in
        - access_token
      title: AccessToken
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````